MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
MPQC::Chemistry_Molecule_impl Class Reference

Symbol "MPQC.Chemistry_Molecule" (version 0.2) More...

`#include <MPQC_Chemistry_Molecule_Impl.hh>`

List of all members.

## Public Member Functions

| Chemistry_Molecule_impl (struct MPQC_Chemistry_Molecule__object *s)
void | _ctor ()
void | _dtor ()
void | initialize_pointer (void *ptr) throw ()
| user defined non-static method.
void | setServices (::gov::cca::Services services) throw ()
| Obtain Services handle, through which the component communicates with the framework.
void | initialize (int32_t natom) throw ()
| user defined non-static method.
::Physics::Units | get_units () throw ()
| user defined non-static method.
int64_t | get_n_atom () throw ()
| user defined non-static method.
int64_t | get_atomic_number (int64_t atomnum) throw ()
| user defined non-static method.
void | set_atomic_number (int64_t atomnum, int64_t atomic_number) throw ()
| user defined non-static method.
double | get_net_charge () throw ()
| user defined non-static method.
void | set_net_charge (double charge) throw ()
| user defined non-static method.
double | get_cart_coor (int64_t atomnum, int32_t xyz) throw ()
| user defined non-static method.
void | set_cart_coor (int64_t atomnum, int32_t xyz, double val) throw ()
| user defined non-static method.
::std::string | get_atomic_label (int64_t atomnum) throw ()
| user defined non-static method.
void | set_atomic_label (int64_t atomnum, const ::std::string &label) throw ()
| user defined non-static method.
::Physics::PointGroup | get_symmetry () throw ()
| user defined non-static method.
::sidl::array< double > | get_coor () throw ()
| user defined non-static method.
void | set_coor (::sidl::array< double > x) throw ()
| user defined non-static method.

## Detailed Description

Symbol "MPQC.Chemistry_Molecule" (version 0.2)

Chemistry_Molecule_impl implements a class interface for molecule data.

This is an implementation of a SIDL interface. The stub code is generated by the Babel tool. Do not make modifications outside of splicer blocks, as these will be lost. This is a server implementation for a Babel class, the Babel client code is provided by the cca-chem-generic package.

## Member Function Documentation

void MPQC::Chemistry_Molecule_impl::setServices | ( | ::gov::cca::Services | services | ) | throw ()

Obtain Services handle, through which the component communicates with the framework.

This is the one method that every CCA Component must implement. The component will be called with a nil/null Services pointer when it is to shut itself down.

The documentation for this class was generated from the following file:

- MPQC_Chemistry_Molecule_Impl.hh